
/* Footer Container */
.footer-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 30px;
  background: linear-gradient(135deg, #1e1e2f, #2c3e50);
  color: #fff;
  padding: 10px 35px;
  border-top: 6px solid #f50707;
  padding-bottom: 35px;
  font-family: 'Times New Roman', Times, serif;
 
      
}

/* Section Titles */
.footer-section h3 {
  margin-bottom: 15px;
  font-size: 20px;
  font-weight: 600;
  color: #f1c40f;
  border-bottom: 2px solid #444;
  padding-bottom: 10px;
  text-align: center;
 
}

/* Text & Links */
.footer-section p,
.footer-section a {
  font-size: 15px;
  color: #ddd;
  text-decoration: none;
  line-height: 1.3;
  transition: color 0.3s ease;
  text-align: justify;
}

.footer-section a:hover {
  color: #6814d6;
}

/* Social Icons */
.social-icons {
  display: flex;
  gap: 15px;
  font-size: 22px;
  margin-left: 35%;

  
}

.social-icons a {
  color: #ddd;
  transition: transform 0.3s ease, color 0.3s ease;
  

  
}

.social-icons a:hover {
  color: #0f0ff1;
  transform: scale(3);
}

/* Footer map */
.map {
  text-align: center;
  font-family: 'Times New Roman', Times, serif;
  background: linear-gradient(135deg, #1e1e2f, #2c3e50);
  padding-bottom: 15px;
  font-size: large;
 
}
.map a{
  color: white;
  text-decoration: none;
}
.map a:hover {
  color: rgb(51, 9, 168);
 
  
}

/* Footer Bottom */
.footer-bottom {
  text-align: center;
  font-family: 'Times New Roman', Times, serif;
  background-color: #dd2424ed;
  color: white;
  padding: 15px;
  font-size: 16px;
  border-top: 1px solid #333;
}


/* Pop up windows ka code start  */

/* Modal background */
    .modal {
      display: none; /* hidden by default */
      position: fixed;
      z-index: 1000;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0,0,0,0.5);
    }

    /* Modal content box */
    .modal-content {
      background: #fff;
      margin: 10% auto;
      padding: 20px;
      width: 70%;
      max-height: 70%;
      overflow-y: auto;
      border-radius: 8px;
    }

    /* Close button */
    .close {
      float: right;
      font-size: 20px;
      cursor: pointer;
    }


/* Pop up windows ka code start  */

